Attachments
Get an attachment download URL
Generates a presigned, time-limited download URL for the attachment; expiry is configurable via the expiresIn query parameter.
GET
Generates a presigned, time-limited download URL for the attachment; expiry is configurable via the expiresIn query parameter.
apiKeyheader
x-api-key<token>id*stringMatch
^att_[0-9a-hjkmnp-tv-z]{16,24}$expiresIn?number|nullSuccess
application/json- response
url*stringexpiresAt*stringattachment*import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.attachments.downloadUrl({ "id": "example"});Example Response
{ "url": "string", "expiresAt": "string", "attachment": { "id": "string", "messageId": "string", "organizationId": "string", "filename": "string", "contentType": "string", "size": 0, "contentId": "string", "isInline": true, "createdAt": "string" }}